summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDenis Dupeyron <calchan@gentoo.org>2016-12-08 13:57:54 -0600
committerDenis Dupeyron <calchan@gentoo.org>2016-12-08 14:01:36 -0600
commite537d8cd801346a99f646f10d73ee672c145a615 (patch)
treee227338a23d4aa90637ae86e5a120fe97f8ee8cc
parentapp-admin/ansible: add calchan@gentoo.org to maintainers (diff)
downloadgentoo-e537d8cd801346a99f646f10d73ee672c145a615.tar.gz
gentoo-e537d8cd801346a99f646f10d73ee672c145a615.tar.bz2
gentoo-e537d8cd801346a99f646f10d73ee672c145a615.zip
app-admin/ansible: add 2.2.1.0_rc1 for testing
Add release candidate for testing of upstream bug: https://github.com/ansible/ansible/issues/18656 Package-Manager: portage-2.3.3
-rw-r--r--app-admin/ansible/Manifest1
-rw-r--r--app-admin/ansible/ansible-2.2.1.0_rc1.ebuild62
-rw-r--r--profiles/package.mask4
3 files changed, 67 insertions, 0 deletions
diff --git a/app-admin/ansible/Manifest b/app-admin/ansible/Manifest
index c644468a9e2..64b00f52b5c 100644
--- a/app-admin/ansible/Manifest
+++ b/app-admin/ansible/Manifest
@@ -1,3 +1,4 @@
DIST ansible-1.9.6.tar.gz 941457 SHA256 50773781b1e76f2885bbeb2351a97cf1c6a29239d3e073da939a104e7e81ee5d SHA512 97ea17f032bf253c53d5e1f79071603f0b3b7caffe4e267534cf181ab88b7186d953c41203c762e0650ab70302bde7e84bb5ee8bcd03153a3e4a76e41d1a3bec WHIRLPOOL b26390090aeabd2a6e8e27916a7cc0e89e0041715bd036118f034292da52df55107d27c577fe38e838b3455d3167cf3e876533fa47fe184d02ebfaa98cf46f5e
DIST ansible-2.1.3.0.tar.gz 1851643 SHA256 a3bb0487687b70d5586277f0f0c9a419d05ad1811b81fa18535a568e5d064c0b SHA512 6a73a361a89e2785ba5157e309e18c04e2dd09a4133f9ab437d0b05f4e56790bc0430e08976638306c0254aa6b8eac4b558bbcd058f8f5bdba420de8f48c8c34 WHIRLPOOL 7dbb85ddb4533a2b4189aec7aa911a173e51646902bca71c7fdad2fadb7e3f3b88b3463dbf4a75913df0a9c72b3073dbad4b6c962dd484f638d5c58b5112ec4d
DIST ansible-2.2.0.0.tar.gz 2441851 SHA256 d9f198d293394ce0f8ba802561b21368888e3301036a706b5584641b49408586 SHA512 8bb8360f41e920c46552ead826a342311d0acffa264334c8c8ae868f8bf45caad4ff2b9c9c0ec4e551653edaf80eb49d8dece5c2ba7e1088c2ce74d3ff0e3130 WHIRLPOOL 911ba4959fbca8527e9cf4b46c86cefc415433cab21486ff47302d02e60c4c2da1abc91c7ab564642a518acd5a5c1cbc8b3930ef7f596518c5aa358f001f4064
+DIST v2.2.1.0-0.1.rc1.tar.gz 1665098 SHA256 c0ac6f74970cb798b8ba11e0508d43cfcd623510c9075afef9db72b96734f0d9 SHA512 5e0d5e4efe1cf14c2f09a673816d9c62c19cc2d5c9ee566320fb35c72f8fd5fad608473adb5ad0fd2711bdd5deb33d2e1f00ef019c05062b5edd621fc52ce653 WHIRLPOOL 51b75cf601668344a70717184cac52f9fa0f611d631f3bd18b4b75fdc2c10d654374d79a6099c6a9db3c04124fd37adc4c3a5d2511ba2e44b7f34a0a2439bad5
diff --git a/app-admin/ansible/ansible-2.2.1.0_rc1.ebuild b/app-admin/ansible/ansible-2.2.1.0_rc1.ebuild
new file mode 100644
index 00000000000..c1f5841c5f2
--- /dev/null
+++ b/app-admin/ansible/ansible-2.2.1.0_rc1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 eutils versionator
+
+DESCRIPTION="Model-driven deployment, config management, and command execution framework"
+HOMEPAGE="http://ansible.com/"
+# This is a release candidate, so we need to do things a little differently
+MY_PV="$(get_version_component_range 1-4)-0.1.rc1"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${MY_PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x64-macos"
+IUSE="keyczar test"
+
+RDEPEND="
+ keyczar? ( dev-python/keyczar[${PYTHON_USEDEP}] )
+ dev-python/paramiko[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
+ dev-python/httplib2[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ net-misc/sshpass
+ virtual/ssh
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/packaging-16.6[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+ <dev-python/mock-1.1[${PYTHON_USEDEP}]
+ dev-python/passlib[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+S=${WORKDIR}/${PN}-${MY_PV}
+
+# not included in release tarball
+RESTRICT="test"
+
+python_test() {
+ nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ # Documentation requires extra dependencies and building steps for release candidates so we skip it
+ #doman docs/man/man1/*.1
+}
diff --git a/profiles/package.mask b/profiles/package.mask
index 4d9c354c6ba..9d659dc0a9d 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -30,6 +30,10 @@
#--- END OF EXAMPLES ---
+# Denis Dupeyron <calchan@gentoo.org> (08 Dec 2016)
+# Mask for testing
+=app-admin/ansible-2.2.1.0_rc1
+
# Hans de Graaff <graaff@gentoo.org> (07 Dec 2016)
# Mask ruby 2.0 for removal, bug 576034
dev-lang/ruby:2.0